package com.ejie.ab79.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * DocumentosJson  
 *  
 */

public class DocumentosJson  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idDocumentoJson;
            private PreguntasJson preguntasJson;
            private InspeccionesJson inspeccionesJson;
            private ActuacionesJson actuacionesJson;
            private Integer tipoDocumento;
            private String oid;
            private String ruta;
            private String idDocumentoMovil;
            private Integer estado;
            private String error;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'DocumentosJson'.
	 */
    public DocumentosJson() {
    }


	
    
    /** 
     * Method 'DocumentosJson'.
     * @param idDocumentoJson Integer
     */    
     public DocumentosJson(Integer idDocumentoJson) {
          this.idDocumentoJson = idDocumentoJson;
	}

    

    /** 
     * Method 'DocumentosJson'.
     * @param idDocumentoJson Integer
     * @param tipoDocumento Integer
     * @param oid String
     * @param ruta String
     * @param idDocumentoMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param preguntasJson PreguntasJson
     * @param inspeccionesJson InspeccionesJson
     * @param actuacionesJson ActuacionesJson
     */
   public DocumentosJson(Integer idDocumentoJson, Integer tipoDocumento, String oid, String ruta, String idDocumentoMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, PreguntasJson preguntasJson, InspeccionesJson inspeccionesJson, ActuacionesJson actuacionesJson) {	

           this.idDocumentoJson = idDocumentoJson;
           this.preguntasJson = preguntasJson;
           this.inspeccionesJson = inspeccionesJson;
           this.actuacionesJson = actuacionesJson;
           this.tipoDocumento = tipoDocumento;
           this.oid = oid;
           this.ruta = ruta;
           this.idDocumentoMovil = idDocumentoMovil;
           this.estado = estado;
           this.error = error;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdDocumentoJson'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDocumentoJson() {
		return this.idDocumentoJson;
	}

	/**
	 * Method 'setIdDocumentoJson'.
	 *
	 * @param idDocumentoJson Integer
	 * @return
     */
	
	public void setIdDocumentoJson(Integer idDocumentoJson) {
		this.idDocumentoJson = idDocumentoJson;
	}
    /**
	 * Method 'getPreguntasJson'.
	 *
	 * @return PreguntasJson
	 */
	@JsonIgnore
	
	public PreguntasJson getPreguntasJson() {
		return this.preguntasJson;
	}

	/**
	 * Method 'setPreguntasJson'.
	 *
	 * @param preguntasJson PreguntasJson
	 * @return
     */
	
	public void setPreguntasJson(PreguntasJson preguntasJson) {
		this.preguntasJson = preguntasJson;
	}
    /**
	 * Method 'getInspeccionesJson'.
	 *
	 * @return InspeccionesJson
	 */
	@JsonIgnore
	
	public InspeccionesJson getInspeccionesJson() {
		return this.inspeccionesJson;
	}

	/**
	 * Method 'setInspeccionesJson'.
	 *
	 * @param inspeccionesJson InspeccionesJson
	 * @return
     */
	
	public void setInspeccionesJson(InspeccionesJson inspeccionesJson) {
		this.inspeccionesJson = inspeccionesJson;
	}
    /**
	 * Method 'getActuacionesJson'.
	 *
	 * @return ActuacionesJson
	 */
	@JsonIgnore
	
	public ActuacionesJson getActuacionesJson() {
		return this.actuacionesJson;
	}

	/**
	 * Method 'setActuacionesJson'.
	 *
	 * @param actuacionesJson ActuacionesJson
	 * @return
     */
	
	public void setActuacionesJson(ActuacionesJson actuacionesJson) {
		this.actuacionesJson = actuacionesJson;
	}
    /**
	 * Method 'getTipoDocumento'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getTipoDocumento() {
		return this.tipoDocumento;
	}

	/**
	 * Method 'setTipoDocumento'.
	 *
	 * @param tipoDocumento Integer
	 * @return
     */
	
	public void setTipoDocumento(Integer tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}
    /**
	 * Method 'getOid'.
	 *
	 * @return String
	 */
	
	
	public String getOid() {
		return this.oid;
	}

	/**
	 * Method 'setOid'.
	 *
	 * @param oid String
	 * @return
     */
	
	public void setOid(String oid) {
		this.oid = oid;
	}
    /**
	 * Method 'getRuta'.
	 *
	 * @return String
	 */
	
	
	public String getRuta() {
		return this.ruta;
	}

	/**
	 * Method 'setRuta'.
	 *
	 * @param ruta String
	 * @return
     */
	
	public void setRuta(String ruta) {
		this.ruta = ruta;
	}
    /**
	 * Method 'getIdDocumentoMovil'.
	 *
	 * @return String
	 */
	
	
	public String getIdDocumentoMovil() {
		return this.idDocumentoMovil;
	}

	/**
	 * Method 'setIdDocumentoMovil'.
	 *
	 * @param idDocumentoMovil String
	 * @return
     */
	
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}
    /**
	 * Method 'getEstado'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 *
	 * @param estado Integer
	 * @return
     */
	
	public void setEstado(Integer estado) {
		this.estado = estado;
	}
    /**
	 * Method 'getError'.
	 *
	 * @return String
	 */
	
	
	public String getError() {
		return this.error;
	}

	/**
	 * Method 'setError'.
	 *
	 * @param error String
	 * @return
     */
	
	public void setError(String error) {
		this.error = error;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idDocumentoJson: ").append(this.idDocumentoJson).append(" ]");
		result.append(", [ tipoDocumento: ").append(this.tipoDocumento).append(" ]");
		result.append(", [ oid: ").append(this.oid).append(" ]");
		result.append(", [ ruta: ").append(this.ruta).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append(", [ estado: ").append(this.estado).append(" ]");
		result.append(", [ error: ").append(this.error).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

